Upstream information

CVE-2011-4349 at MITRE

Description

Multiple SQL injection vulnerabilities in (1) cd-mapping-db.c and (2) cd-device-db.c in colord before 0.1.15 allow local users to execute arbitrary SQL commands via vectors related to color devices and (a) device id, (b) property, or (c) profile id.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 698250 [VERIFIED / FIXED], 732996 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • colord >= 1.1.7-2.42
  • colord-gtk-lang >= 0.1.25-3.113
  • colord-lang >= 1.1.7-2.42
  • libcolord-gtk1 >= 0.1.25-3.113
  • libcolord2 >= 1.1.7-2.42
  • libcolord2-32bit >= 1.1.7-2.42
  • libcolorhug2 >= 1.1.7-2.42
Patchnames:
SUSE Linux Enterprise Desktop 12 GA colord
SUSE Linux Enterprise Desktop 12 SP1
  • colord >= 1.1.7-5.3
  • colord-gtk-lang >= 0.1.25-3.113
  • colord-lang >= 1.1.7-5.3
  • libcolord-gtk1 >= 0.1.25-3.113
  • libcolord2 >= 1.1.7-5.3
  • libcolord2-32bit >= 1.1.7-5.3
  • libcolorhug2 >= 1.1.7-5.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA colord
SUSE Linux Enterprise Desktop 12 SP2
  • colord >= 1.3.3-10.14
  • colord-gtk-lang >= 0.1.26-6.3
  • colord-lang >= 1.3.3-10.14
  • libcolord-gtk1 >= 0.1.26-6.3
  • libcolord2 >= 1.3.3-10.14
  • libcolord2-32bit >= 1.3.3-10.14
  • libcolorhug2 >= 1.3.3-10.14
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA colord
SUSE Linux Enterprise Desktop 12 SP3
  • colord >= 1.3.3-12.13
  • colord-gtk-lang >= 0.1.26-6.3
  • colord-lang >= 1.3.3-12.13
  • libcolord-gtk1 >= 0.1.26-6.3
  • libcolord2 >= 1.3.3-12.13
  • libcolord2-32bit >= 1.3.3-12.13
  • libcolorhug2 >= 1.3.3-12.13
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA colord
SUSE Linux Enterprise Module for Basesystem 15
  • libcolord2 >= 1.4.2-1.37
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libcolord2
SUSE Linux Enterprise Module for Desktop Applications 15
  • colord-color-profiles >= 1.4.2-1.37
  • libcolord-devel >= 1.4.2-1.37
  • libcolord-gtk-devel >= 0.1.26-1.48
  • libcolord-gtk1 >= 0.1.26-1.48
  • libcolorhug2 >= 1.4.2-1.37
  • typelib-1_0-Colord-1_0 >= 1.4.2-1.37
  • typelib-1_0-ColordGtk-1_0 >= 0.1.26-1.48
  • typelib-1_0-Colorhug-1_0 >= 1.4.2-1.37
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA colord-color-profiles
SUSE Linux Enterprise Server 12
  • colord-gtk-lang >= 0.1.25-3.113
  • libcolord-gtk1 >= 0.1.25-3.113
  • libcolord2 >= 1.1.7-2.42
  • libcolord2-32bit >= 1.1.7-2.42
  • libcolorhug2 >= 1.1.7-2.42
Patchnames:
SUSE Linux Enterprise Server 12 GA colord-gtk-lang
SUSE Linux Enterprise Server 12 SP1
  • colord-gtk-lang >= 0.1.25-3.113
  • libcolord-gtk1 >= 0.1.25-3.113
  • libcolord2 >= 1.1.7-5.3
  • libcolord2-32bit >= 1.1.7-5.3
  • libcolorhug2 >= 1.1.7-5.3
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA colord-gtk-lang
SUSE Linux Enterprise Server 12 SP2
  • colord-gtk-lang >= 0.1.26-6.3
  • libcolord-gtk1 >= 0.1.26-6.3
  • libcolord2 >= 1.3.3-10.14
  • libcolord2-32bit >= 1.3.3-10.14
  • libcolorhug2 >= 1.3.3-10.14
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA colord-gtk-lang
SUSE Linux Enterprise Server 12 SP3
  • colord-gtk-lang >= 0.1.26-6.3
  • libcolord-gtk1 >= 0.1.26-6.3
  • libcolord2 >= 1.3.3-12.13
  • libcolord2-32bit >= 1.3.3-12.13
  • libcolorhug2 >= 1.3.3-12.13
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA colord-gtk-lang
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • colord-gtk-lang >= 0.1.26-6.3
  • libcolord-gtk1 >= 0.1.26-6.3
  • libcolord2 >= 1.3.3-10.14
  • libcolorhug2 >= 1.3.3-10.14
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA colord-gtk-lang
SUSE Linux Enterprise Software Development Kit 12
  • libcolord-devel >= 1.1.7-2.42
  • libcolord-gtk-devel >= 0.1.25-3.113
  • typelib-1_0-ColorHug-1_0 >= 1.1.7-2.42
  • typelib-1_0-Colord-1_0 >= 1.1.7-2.42
  • typelib-1_0-ColordGtk-1_0 >= 0.1.25-3.113
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libcolord-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libcolord-devel >= 1.1.7-5.3
  • libcolord-gtk-devel >= 0.1.25-3.113
  • typelib-1_0-ColorHug-1_0 >= 1.1.7-5.3
  • typelib-1_0-Colord-1_0 >= 1.1.7-5.3
  • typelib-1_0-ColordGtk-1_0 >= 0.1.25-3.113
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libcolord-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libcolord-devel >= 1.3.3-10.14
  • libcolord-gtk-devel >= 0.1.26-6.3
  • typelib-1_0-ColorHug-1_0 >= 1.3.3-10.14
  • typelib-1_0-Colord-1_0 >= 1.3.3-10.14
  • typelib-1_0-ColordGtk-1_0 >= 0.1.26-6.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libcolord-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libcolord-devel >= 1.3.3-12.13
  • libcolord-gtk-devel >= 0.1.26-6.3
  • typelib-1_0-ColorHug-1_0 >= 1.3.3-12.13
  • typelib-1_0-Colord-1_0 >= 1.3.3-12.13
  • typelib-1_0-ColordGtk-1_0 >= 0.1.26-6.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libcolord-devel
SUSE Linux Enterprise Workstation Extension 12
  • colord >= 1.1.7-2.42
  • colord-lang >= 1.1.7-2.42
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA colord
SUSE Linux Enterprise Workstation Extension 12 SP1
  • colord >= 1.1.7-5.3
  • colord-lang >= 1.1.7-5.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA colord
SUSE Linux Enterprise Workstation Extension 12 SP2
  • colord >= 1.3.3-10.14
  • colord-lang >= 1.3.3-10.14
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA colord
SUSE Linux Enterprise Workstation Extension 12 SP3
  • colord >= 1.3.3-12.13
  • colord-lang >= 1.3.3-12.13
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA colord
SUSE Linux Enterprise Workstation Extension 15
  • colord >= 1.4.2-1.37
  • colord-gtk-lang >= 0.1.26-1.48
  • colord-lang >= 1.4.2-1.37
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA colord
openSUSE Leap 15.0
  • colord >= 1.4.2-lp150.1.18
  • colord-color-profiles >= 1.4.2-lp150.1.18
  • colord-gtk-lang >= 0.1.26-lp150.1.8
  • colord-lang >= 1.4.2-lp150.1.18
  • libcolord-gtk1 >= 0.1.26-lp150.1.8
  • libcolord2 >= 1.4.2-lp150.1.18
  • libcolorhug2 >= 1.4.2-lp150.1.18
Patchnames:
openSUSE Leap 15.0 GA colord
openSUSE Leap 42.1
  • colord >= 1.2.12-1.2
  • colord-gtk-lang >= 0.1.26-2.2
  • colord-lang >= 1.2.12-1.2
  • libcolord-gtk1 >= 0.1.26-2.2
  • libcolord2 >= 1.2.12-1.2
  • libcolorhug2 >= 1.2.12-1.2
Patchnames:
openSUSE Leap 42.1 GA colord
openSUSE Leap 42.2
  • colord >= 1.3.3-1.12
  • colord-gtk-lang >= 0.1.26-4.3
  • colord-lang >= 1.3.3-1.12
  • libcolord-gtk1 >= 0.1.26-4.3
  • libcolord2 >= 1.3.3-1.12
  • libcolorhug2 >= 1.3.3-1.12
Patchnames:
openSUSE Leap 42.2 GA colord
openSUSE Leap 42.3
  • colord >= 1.3.3-4.3
  • colord-gtk-lang >= 0.1.26-6.3
  • colord-lang >= 1.3.3-4.3
  • libcolord-gtk1 >= 0.1.26-6.3
  • libcolord2 >= 1.3.3-4.3
  • libcolorhug2 >= 1.3.3-4.3
Patchnames:
openSUSE Leap 42.3 GA colord
openSUSE Tumbleweed
  • colord >= 1.3.4-1.1
  • colord-gtk >= 0.1.26-2.4
  • colord-gtk-lang >= 0.1.26-2.4
  • colord-lang >= 1.3.4-1.1
  • libcolord-devel >= 1.3.4-1.1
  • libcolord-gtk-devel >= 0.1.26-2.4
  • libcolord-gtk1 >= 0.1.26-2.4
  • libcolord-gtk1-32bit >= 0.1.26-2.4
  • libcolord2 >= 1.3.4-1.1
  • libcolord2-32bit >= 1.3.4-1.1
  • libcolorhug2 >= 1.3.4-1.1
  • typelib-1_0-ColorHug-1_0 >= 1.3.4-1.1
  • typelib-1_0-Colord-1_0 >= 1.3.4-1.1
  • typelib-1_0-ColordGtk-1_0 >= 0.1.26-2.4
Patchnames:
openSUSE Tumbleweed GA colord